# Repzo API - Visit

OpenAPI specification for Repzo Visit endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/visit`

#### GET /visit

**Summary:** Find visits

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering visits |

##### Responses

**200** - A list of visits

Content-Type: `application/json`

---

#### POST /visit

**Summary:** Create a visit

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Visit created

Content-Type: `application/json`

---

### `/visit/{id}`

#### GET /visit/{id}

**Summary:** Get a visit by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Visit details

Content-Type: `application/json`

---

#### PUT /visit/{id}

**Summary:** Update a visit

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Visit updated

Content-Type: `application/json`

---

## Data Models

### VisitFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### VisitCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `plannedDate` | string | No | No description |

| `actualDate` | string | No | No description |

| `status` | string | No | No description |

| `notes` | string | No | No description |

| `location` | object | No | No description |

### VisitCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### VisitGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### VisitUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `plannedDate` | string | No | No description |

| `actualDate` | string | No | No description |

| `status` | string | No | No description |

| `notes` | string | No | No description |

| `location` | object | No | No description |

### VisitUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### Visit

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `plannedDate` | string | No | No description |

| `actualDate` | string | No | No description |

| `status` | string | No | No description |

| `notes` | string | No | No description |

| `location` | object | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [visit-examples.md](./visit-examples.md) for detailed TypeScript usage examples.
